﻿
.highlight123 {
    font-size: large;
    /*color: blue; */ /*Text color */
    /*background-color: blue;*/ /* Background color */
    padding: 2px 5px; /* Optional for better appearance */
    border-radius: 3px; /* Optional for rounded edges */
}
/* Custom file input styling */
.custom-file {
    position: relative;
    display: flex;
    flex-grow: 1;
    align-items: center;
    margin-bottom: 0;
}

.input-group {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
}

.input-group-append .btn {
    background-color: #14A44D; /*#007bff*/
    color: #fff;
    border: 1px solid #ced4da;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.375rem 1rem;
    height: calc(2.875rem + 7px); /* Match input field height */
    font-size: 1.5rem; /* Increased font size */
    border-radius: 0.25rem;
    transition: background-color 0.15s ease-in-out;
}

    .input-group-append .btn i {
        margin-right: 5px; /* Adds spacing between icon and text */
    }

    .input-group-append .btn:hover {
        background-color: #0056b3;
    }


.custom-file-input_ph {
    position: relative;
    z-index: 2;
    width: 100%;
    height: calc(2.875rem + 7px); /* Match input field height */
    margin: 0;
    opacity: 0;
    font-size: 1.5rem; /* Increased font size */
}

.custom-file-label_ph {
    font-size: 1.5rem; /* Increased font size */
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
    height: calc(2.875rem + 7px); /* Match input field height */
    padding: 0.375rem 0.75rem;
    font-weight: 500;
    line-height: 1.7;
    color: #495057;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    display: flex;
    align-items: center;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .custom-file-label_ph::after {
        content: "Browse";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 3;
        display: block;
        height: calc(2.875rem + 7px);
        padding: 0.375rem 0.75rem;
        line-height: 1.5;
        color: #fff;
        background-color: #007bff;
        border-left: 1px solid #ced4da;
        border-radius: 0 0.25rem 0.25rem 0;
        text-align: center;
        cursor: pointer;
    }

.custom-file-input_ph:focus ~ .custom-file-label_ph {
    border-color: #80bdff;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.custom-file-input_ph:disabled ~ .custom-file-label_ph {
    background-color: #e9ecef;
}




.custom-file-input_ac {
    position: relative;
    z-index: 2;
    width: 100%;
    height: calc(2.875rem + 7px); /* Match input field height */
    margin: 0;
    opacity: 0;
    font-size: 1.5rem; /* Increased font size */
}

.custom-file-label_ac {
    font-size: 1.5rem; /* Increased font size */
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
    height: calc(2.875rem + 7px); /* Match input field height */
    padding: 0.375rem 0.75rem;
    font-weight: 500;
    line-height: 1.7;
    color: #495057;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    display: flex;
    align-items: center;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.custom-file-label_ac::after {
        content: "Browse";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 3;
        display: block;
        height: calc(2.875rem + 7px);
        padding: 0.375rem 0.75rem;
        line-height: 1.5;
        color: #fff;
        background-color: #007bff;
        border-left: 1px solid #ced4da;
        border-radius: 0 0.25rem 0.25rem 0;
        text-align: center;
        cursor: pointer;
    }

.custom-file-input_ac:focus ~ .custom-file-label_ac {
    border-color: #80bdff;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.custom-file-input_ac:disabled ~ .custom-file-label_ac {
    background-color: #e9ecef;
}



.custom-file-input_exp {
    position: relative;
    z-index: 2;
    width: 100%;
    height: calc(2.875rem + 7px); /* Match input field height */
    margin: 0;
    opacity: 0;
    font-size: 1.5rem; /* Increased font size */
}

.custom-file-label_exp {
    font-size: 1.5rem; /* Increased font size */
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
    height: calc(2.875rem + 7px); /* Match input field height */
    padding: 0.375rem 0.75rem;
    font-weight: 500;
    line-height: 1.7;
    color: #495057;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    display: flex;
    align-items: center;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.custom-file-label_exp::after {
        content: "Browse";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 3;
        display: block;
        height: calc(2.875rem + 7px);
        padding: 0.375rem 0.75rem;
        line-height: 1.5;
        color: #fff;
        background-color: #007bff;
        border-left: 1px solid #ced4da;
        border-radius: 0 0.25rem 0.25rem 0;
        text-align: center;
        cursor: pointer;
    }

.custom-file-input_exp:focus ~ .custom-file-label_exp {
    border-color: #80bdff;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.custom-file-input_exp:disabled ~ .custom-file-label_exp {
    background-color: #e9ecef;
}





.custom-file-input_cer {
    position: relative;
    z-index: 2;
    width: 100%;
    height: calc(2.875rem + 7px); /* Match input field height */
    margin: 0;
    opacity: 0;
    font-size: 1.5rem; /* Increased font size */
}

.custom-file-label_cer {
    font-size: 1.5rem; /* Increased font size */
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1;
    height: calc(2.875rem + 7px); /* Match input field height */
    padding: 0.375rem 0.75rem;
    font-weight: 500;
    line-height: 1.7;
    color: #495057;
    background-color: #fff;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    display: flex;
    align-items: center;
    transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .custom-file-label_cer::after {
        content: "Browse";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 3;
        display: block;
        height: calc(2.875rem + 7px);
        padding: 0.375rem 0.75rem;
        line-height: 1.5;
        color: #fff;
        background-color: #007bff;
        border-left: 1px solid #ced4da;
        border-radius: 0 0.25rem 0.25rem 0;
        text-align: center;
        cursor: pointer;
    }

.custom-file-input_cer:focus ~ .custom-file-label_cer {
    border-color: #80bdff;
    box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
}

.custom-file-input_cer:disabled ~ .custom-file-label_cer {
    background-color: #e9ecef;
}




/*.label-lg-font-size {
    font-size: 10pt;
    color: black;
}

.label-lg-font-sizeW {
    font-size: 10pt;
    color: Red;
}*/

@media screen and (max-width: 767px) {
    .content {
        height: auto
    }
}

.box {
    position: relative; /* Required for absolute positioning of the file input */
    overflow: hidden; /* Prevents overflow of content */
    white-space: nowrap; /* Prevents the text from wrapping to a new line */
}

input[type="file"] {
    width: 100%; /* Ensures the file input takes full width of the parent */
    border: none; /* Removes the default border */
    padding: 0; /* Removes padding */
    background: none; /* Removes background */
}

.file-upload-label {
    display: inline-block; /* Allows the label to be inline */
    overflow: hidden; /* Hides overflow text */
    text-overflow: ellipsis; /* Shows ellipsis for overflow text */
    white-space: nowrap; /* Prevents wrapping */
    max-width: 100%; /* Limits width to the parent container */
}



body {
    font-family: Segoe UI, Arial;
    background: #f2f4f7;
}

.card {
    width: 420px;
    margin: 60px auto;
    background: #fff;
    padding: 25px;
    border-radius: 6px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
}

    .card h2 {
        margin-top: 0;
        font-size: 20px;
        text-align: center;
    }

/*.form-group {
    margin-bottom: 15px;
}

label {
    font-weight: 600;
    display: block;
    margin-bottom: 5px;
}

input[type=text] {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.btn {
    padding: 8px 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
    */
.btn-primary {
    background: #007bff;
    color: #fff;
}

.btn-success {
    background: #28a745;
    color: #fff;
}

.otp-box input {
    text-align: center;
    letter-spacing: 4px;
    font-size: 18px;
}

.msg {
    margin-top: 10px;
    font-weight: 600;
    color: red;
    text-align: center;
}

.success {
    color: green;
}
